package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2024-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmTltpdf对象", description="")
public class DmTltpdf implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    private String dcCh;

    @ApiModelProperty(value = "图号（不是图纸编号）")
    private String th;

    @ApiModelProperty(value = "页码")
    private String pageNum;

    @ApiModelProperty(value = "行数")
    @TableField("rows")
    private String rows;

    @ApiModelProperty(value = "内容")
    private String content;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
